Bug 169685 - freebsd-update(8): merge procedure should automate certain diff patterns
Summary: freebsd-update(8): merge procedure should automate certain diff patterns
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 8.2-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-06 18:00 UTC by Thomas A. Limoncelli
Modified: 2019-03-12 23:00 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas A. Limoncelli 2012-07-06 18:00:28 UTC
[this is a feature request for freebsd-update]

When freebsd-update merges configuration files many of them have no change except a version number or copyright year.  It would be super awesome if those were handled automatically.

 Example 1: Eliminating the text between $...$ would make these lines "the same".

 <<<<<<< current version
 # $FreeBSD: src/contrib/sendmail/cf/m4/cfhead.m4,v 1.17 2004/08/01 01:16:14 gshapiro Exp $
 =======
 # $FreeBSD: src/contrib/sendmail/cf/m4/cfhead.m4,v 1.17.30.3.2.1 2012/03/03 06:15:13 kensmith Exp $
 >>>>>>> 8.3-RELEASE
 
 Example 2: Lines that start "# Copyright" could probably be assumed that the user wants the newer version.
 
 <<<<<<< current version
 # Copyright (c) 1998-2004 Sendmail, Inc. and its suppliers.
 =======
 # Copyright (c) 1998-2004, 2009, 2010 Sendmail, Inc. and its suppliers.
 >>>>>>> 8.3-RELEASE

Fix: 

Manually deleting the lines from the older file.
How-To-Repeat: Run freebsd-update and get to the file merge phase.
Comment 1 Chris Rees freebsd_committer 2012-07-06 20:15:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cperciva

Assign responsible
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-04-14 00:24:27 UTC
Responsible Changed
From-To: cperciva->cperciva

Over to maintainer.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:48:53 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 4 Gerald Aryeetey 2019-01-10 18:01:46 UTC
First example should have already been fixed as per base r221780
Comment 5 Colin Percival freebsd_committer 2019-03-12 23:00:11 UTC
Drop freebsd-update PRs which were assigned to me.  I'm not working on this code any more.